Skip to main content
GET
List all Core Transactions

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

core_balance_id
string
required

Required. The core balance to list transactions for.

Pattern: ^core_balance_\w+$
Example:

"core_balance_xyz123"

type
enum<string>

Filter by payment rail or source mechanism.

Available options:
ach,
checks,
domestic_wires,
international_wires,
instant_payments,
blockchain_payments,
internal_transfers,
fundings,
receivable_sales,
interest,
fees,
sweeps,
lead_generated,
legacy_banking
created_at
object

A set of filters on the list using the object's field created_at.

limit
integer
default:10

Maximum number of objects to be returned.

Required range: 1 <= x <= 100
starting_after
string

A cursor for use in pagination; this is an ID that defines your place in the list.

Pattern: ^core_transaction_.+~\d+$
ending_before
string

A cursor for use in pagination; this is an ID that defines your place in the list.

Pattern: ^core_transaction_.+~\d+$

Response

A list of Core Transaction objects.

objects
object[]
required
has_more
boolean
required